Debian Bug report logs - #720061
snort: [debconf_rewrite] Debconf templates and debian/control review proposal

version graph

Package: snort; Maintainer for snort is Javier Fernández-Sanguino Peña <jfs@debian.org>; Source for snort is src:snort.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Sun, 18 Aug 2013 04:24:02 UTC

Severity: normal

Fixed in version snort/2.9.5.3-2

Done: Javier Fernández-Sanguino Peña <jfs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#720061; Package snort. (Sun, 18 Aug 2013 04:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

N/A

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sun, 18 Aug 2013 04:24:06 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: snort: [debconf_rewrite] Debconf templates and debian/control review proposal
Date: Sun, 18 Aug 2013 06:20:09 +0200
Package: snort
Version: N/A
Severity: normal

Dear Debian maintainer,

Hello,

I just noticed new or modified debconf templates appearing for this
package.

I would like to suggest you to consider calling for debconf templates
review AND translation updates when you introduce new debconf
templates or modify the existing templates in a package or, if you
prefer, to send a call for translations after uploading the first
version that introduces new templates or templates changes.

If you're interested in suggestions for doing this, you can find some
at the end of this bug report.

The debian-l10n-english team will now start a review, on our own
initiative. It will be conducted through this bug report.


Suggestions for future debconf templates review
------------------------------------------------

1) Getting debconf templates reviewed
--------------------------------------

The Debian i18n contributors have developed a set of suggestions for
the writing style of debconf templates, to give them an overall
consistency all around Debian. These writing style suggestions are
explained in the Developers Reference. Lintian also warns about common
writing style concerns.

Maintainers are welcome when they ask for a review of debconf templates
and/or packages descriptions on debian-l10n-english@lists.debian.org.
It is of course not needed to wait for someone (such as me right me)
proposing you such a review.

In such situations (whether the review is requested by the maintainer
or proposed by someone else), someone from the debian-l10n-english
team will pick up the review to do, handle it, and finally send you a
bug report with the suggested templates. If you want, you can ask for
being CC'ed to the various discussions when the templates are
reviewed.


2) Call for new translations
----------------------------

As soon as the templates have been reviewed, you can ask Debian
translators for new translations:

Just go to your package's build tree and use:

$ podebconf-report-po --call

This will propose you a generic mail which is to be sent to
debian-i18n@lists.debian.org and call for new translations.

This utility will mention existing translations to avoid duplicate
work. 

It will also attach the needed material to this mail.

Please also think about giving a deadline to translators. We like
deadlines..:-)

3) Always call for translation updates before uploading
-------------------------------------------------------

(of course only when you change the debconf templates!)

If your package already includes debconf translations (ie *.po files
in debian/po), please consider calling for translation updates if you
happen to change something in the templates...or just in case when you
release a new version.

This is done with the following command:

$ podebconf-report-po

This will build private mails to translators (ie people listed in
"Last-Translator" in the PO files) for translations that are
incomplete. These mails will included the needed PO file for each
translator.


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.10-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#720061; Package snort. (Mon, 19 Aug 2013 05:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Mon, 19 Aug 2013 05:33:04 GMT) Full text and rfc822 format available.

Message #10 received at 720061@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 720061@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [ITR] templates://snort/{snort.templates,snort-common.templates}
Date: Mon, 19 Aug 2013 07:31:21 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

The Debian internationalisation team and the Debian English
localisation team will soon begin the review of the debconf
templates used in snort.

This review takes place for all packages that use debconf to interact with
users and its aims are:
- to improve the use of English in all debconf templates;
- to make the wording of debconf templates more consistent;
- to encourage more translations of templates.

Even if your first language is English, this process is likely to help
track down typos or errors, and improve consistency between the
debconf templates of your package and that of other packages in the
distribution.

The process involves both debian-l10n-english contributors and
Debian translators.

The details of the process are given in
http://wiki.debian.org/I18n/SmithDebconfReviewProcess.

I will act as the coordinator of this activity for snort.

The first step of the process is to review the debconf source
template file(s) of snort. This review will start on Thursday, August 22, 2013, or
as soon as you acknowledge this mail with an agreement for us to
carry out this process.

All parts of the process will be carried out in close collaboration
with you, and, unless you explicitely ask for it, no upload nor NMU
will happen for snort.

If you approve this process, please let us know by replying to this
mail. If some work in progress on your side would conflict with such a
rewrite (such as adding or removing debconf templates), please say so,
and we will defer the review to later in the development cycle.

Thank you for your attention.

-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#720061; Package snort. (Mon, 19 Aug 2013 10:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fernandez-Sanguino <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Mon, 19 Aug 2013 10:48:08 GMT) Full text and rfc822 format available.

Message #15 received at 720061@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino <jfs@computer.org>
To: Christian Perrier <bubulle@debian.org>
Cc: debian-l10n-english@lists.debian.org, 720061@bugs.debian.org
Subject: Re: Bug#720061: [ITR] templates://snort/{snort.templates,snort-common.templates}
Date: Mon, 19 Aug 2013 12:43:55 +0200
[Message part 1 (text/plain, inline)]
> If you approve this process, please let us know by replying to this mail.

Sure, go ahead.

Javier
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#720061; Package snort. (Sun, 25 Aug 2013 13:12:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-l10n-english@lists.debian.org:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Sun, 25 Aug 2013 13:12:25 GMT) Full text and rfc822 format available.

Message #20 received at 720061@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 720061@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [RFR] templates://snort/{snort.templates,snort-common.templates}
Date: Sun, 25 Aug 2013 15:04:26 +0200
[Message part 1 (text/plain, inline)]
Please find, for review, the debconf templates and packages descriptions for the snort source package.

This review will last from Sunday, August 25, 2013 to Wednesday, September 04, 2013.

Please send reviews as unified diffs (diff -u) against the original
files. Comments about your proposed changes will be appreciated.

Your review should be sent as an answer to this mail.

When appropriate, I will send intermediate requests for review, with
"[RFRn]" (n>=2) as a subject tag.

When we will reach a consensus, I send a "Last Chance For
Comments" mail with "[LCFC]" as a subject tag.

Finally, a summary will be sent to the review bug report,
and a mail will be sent to this list with "[BTS]" as a subject tag.

This review is quite "light": I indeed have the feeling that I already
came on this package at some (distant) point in the past.

Most changes are switching to double-quotes, the now standardized
common practice by debian-l10n-english.


Rationale:
--- snort.old/debian/snort.templates	2013-08-18 06:18:52.501757139 +0200
+++ snort/debian/snort.templates	2013-08-25 14:59:27.881965518 +0200
@@ -10,13 +10,13 @@
 Type: string
 Default: eth0
 _Description: Interface(s) which Snort should listen on:
- This value is usually 'eth0', but this may be inappropriate in some
- network environments; for a dialup connection 'ppp0' might be more
- appropriate (see the output of '/sbin/ifconfig').
+ This value is usually "eth0", but this may be inappropriate in some
+ network environments; for a dialup connection "ppp0" might be more
+ appropriate (see the output of "/sbin/ifconfig").
  .
- Typically, this is the same interface as the 'default route' is on. You can
- determine which interface is used for this by running '/sbin/route -n'
- (look for '0.0.0.0').
+ Typically, this is the same interface as the "default route" is on. You can
+ determine which interface is used for this by running "/sbin/route -n"
+ (look for "0.0.0.0").
  .
  It is also not uncommon to use an interface with no IP address
  configured in promiscuous mode. For such cases, select the

Use of double quotes


@@ -54,7 +54,7 @@
 Type: error
 _Description: Invalid interface
  Snort is trying to use an interface which does not exist or is down.
- Either it is defaulting inappropriately to 'eth0', or you specified
+ Either it is defaulting inappropriately to "eth0", or you specified
  one which is invalid.
 
 Template: snort/send_stats
@@ -88,7 +88,7 @@
 Template: snort/please_restart_manually
 Type: note
 _Description: Snort restart required
- As Snort is manually launched, you need to run '/etc/init.d/snort' for
+ As Snort is manually launched, you need to run "service snort restart" for
  the changes to take place.

Use of double quotes

Also advice using "service" instead of directly calling /etc/init.d/snort

 
 Template: snort/config_parameters
--- snort.old/debian/control	2013-08-18 06:18:52.501757139 +0200
+++ snort/debian/control	2013-08-25 15:00:36.675922549 +0200
@@ -67,7 +67,7 @@
 Conflicts: snort (<< ${binary:Version})
 Replaces: snort (<< 1.8.4beta1-1)
 Suggests: snort-doc
-Description: flexible Network Intrusion Detection System [common files]
+Description: flexible Network Intrusion Detection System - common files
  Snort is a libpcap-based packet sniffer/logger which can be used as a
  lightweight network intrusion detection system. It features rules
  based logging and can perform content searching/matching in addition

Common practice suggested in English reviews....


@@ -85,7 +85,7 @@
 Depends: ${misc:Depends}
 Priority: optional
 Section: doc
-Description: Documentation for the Snort IDS [documentation]
+Description: Documentation for the Snort IDS - documentation
  Snort is a libpcap-based packet sniffer/logger which can be used as a
  lightweight network intrusion detection system. It features rules
  based logging and can perform content searching/matching in addition
@@ -106,7 +106,7 @@
 Suggests: snort (>= 2.2.0) | snort-pgsql (>= 2.2.0) | snort-mysql (>= 2.2.0)
 Recommends: oinkmaster
 Homepage: http://www.snort.org/snort-rules/
-Description: flexible Network Intrusion Detection System ruleset
+Description: flexible Network Intrusion Detection System - ruleset
  Snort default ruleset which provides a basic set network intrusion detection
  rules developed by the Snort community.
  .
@@ -120,7 +120,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: snort (>= 2.7.0) | snort-pgsql (>= 2.7.0) | snort-mysql (>= 2.7.0)
 Conflicts: snort-common (<< 2.7.0-6)
-Description: flexible Network Intrusion Detection System ruleset
+Description: flexible Network Intrusion Detection System - libraries
  Snort is a libpcap-based packet sniffer/logger which can be used as a
  lightweight network intrusion detection system. It features rules
  based logging and can perform content searching/matching in addition

That seems to be a copy/paste error, so s/ruleset/libraries


-- 


[snort.templates (text/plain, attachment)]
[snort-common.templates (text/plain, attachment)]
[patch.rfr (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#720061; Package snort. (Sun, 25 Aug 2013 15:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <justin.byam.rye@gmail.com>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Sun, 25 Aug 2013 15:27:13 GMT) Full text and rfc822 format available.

Message #25 received at 720061@bugs.debian.org (full text, mbox):

From: Justin B Rye <justin.byam.rye@gmail.com>
To: debian-l10n-english@lists.debian.org
Cc: 720061@bugs.debian.org
Subject: Re: [RFR] templates://snort/{snort.templates,snort-common.templates}
Date: Sun, 25 Aug 2013 16:22:53 +0100
[Message part 1 (text/plain, inline)]
Christian PERRIER wrote:
> This review is quite "light": I indeed have the feeling that I already
> came on this package at some (distant) point in the past.

February 2008!

> Rationale:
> --- snort.old/debian/snort.templates	2013-08-18 06:18:52.501757139 +0200
> +++ snort/debian/snort.templates	2013-08-25 14:59:27.881965518 +0200

Oh, you skipped:

> Template: snort/startup
> Type: select
> __Choices: boot, dialup, manual
> Default: boot
> _Description: Snort start method:
> Snort can be started during boot, when connecting to the net with pppd or
> only manually with the /usr/sbin/snort command.

It seems to me that this would be clearer if it included the word
"automatically":

  Please choose how Snort should be started: automatically on boot,
  automatically when connecting to the net with pppd, or manually with the
  /usr/sbin/snort command.

> @@ -10,13 +10,13 @@
>  Type: string
>  Default: eth0
>  _Description: Interface(s) which Snort should listen on:
> + This value is usually "eth0", but this may be inappropriate in some
> + network environments; for a dialup connection "ppp0" might be more
> + appropriate (see the output of "/sbin/ifconfig").
>   .
> + Typically, this is the same interface as the "default route" is on. You can
> + determine which interface is used for this by running "/sbin/route -n"
> + (look for "0.0.0.0").
>   .
>   It is also not uncommon to use an interface with no IP address
>   configured in promiscuous mode. For such cases, select the
> 
> Use of double quotes

And in the next paragraph (around "port mirroring/spanning").

These days apparently they're trying to move us from ifconfig from
net-tools to ip from iproute(2), in which case maybe it's time to
start advising the use of "ip link" and "ip route".  I'm not sure of
that, though - I'm not even sure where I'd go to find out.
 
Meanwhile I notice snort-common.templates also has some singlequotes
around "/usr/sbin/snort -T -c /etc/snort/snort.conf".

> --- snort.old/debian/control	2013-08-18 06:18:52.501757139 +0200
> +++ snort/debian/control	2013-08-25 15:00:36.675922549 +0200
> @@ -67,7 +67,7 @@
>  Conflicts: snort (<< ${binary:Version})
>  Replaces: snort (<< 1.8.4beta1-1)
>  Suggests: snort-doc
> -Description: flexible Network Intrusion Detection System [common files]
> +Description: flexible Network Intrusion Detection System - common files
>   Snort is a libpcap-based packet sniffer/logger which can be used as a
>   lightweight network intrusion detection system. It features rules
>   based logging and can perform content searching/matching in addition
>   to being used to detect a variety of other attacks and probes, such

The boilerplate is mostly okay, but I'd recommend adding a hyphen in
"rule-based logging", and simplifying away the easily misunderstood
"being used to":

    lightweight network intrusion detection system. It features rules-based
    logging and can perform content searching/matching in addition to
    detecting a variety of other attacks and probes, such as buffer

(And as I asked last time, if this is a lightweight one, what do the
heavyweights look like?)

>  Package: snort-common
[...]
>  This is a common package which holds cron jobs, tools and config files used
>  by all the different packages flavors.
                               ^
Missing Harvard comma, bad noun-stack:

   This is a common package which holds cron jobs, tools, and config files
   used by all the different package flavors.

> @@ -85,7 +85,7 @@
>  Depends: ${misc:Depends}
>  Priority: optional
>  Section: doc
> -Description: Documentation for the Snort IDS [documentation]
> +Description: Documentation for the Snort IDS - documentation

Hang on, don't you mean
   Description: flexible Network Intrusion Detection System - documentation
   [...]
   This package provides the documentation for Snort.

   Package: snort-rules-default
   [...]
> +Description: flexible Network Intrusion Detection System - ruleset
>   Snort default ruleset which provides a basic set network intrusion detection
>   rules developed by the Snort community.

Add the boilerplate paragraph and merge the two existing paragraphs
into one.

Hang on, what's this "control.inline" file with lots more stanzas?
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package
[patch.jbr (text/plain, attachment)]
[snort.templates (text/plain, attachment)]
[snort-common.templates (text/plain, attachment)]
[control (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#720061; Package snort. (Sun, 25 Aug 2013 16:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fernandez-Sanguino <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Sun, 25 Aug 2013 16:27:04 GMT) Full text and rfc822 format available.

Message #30 received at 720061@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino <jfs@computer.org>
To: Justin B Rye <justin.byam.rye@gmail.com>
Cc: 720061@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: Re: Bug#720061: [RFR] templates://snort/{snort.templates,snort-common.templates}
Date: Sun, 25 Aug 2013 18:25:44 +0200
[Message part 1 (text/plain, inline)]
> Hang on, what's this "control.inline" file with lots more stanzas?

That's a file for a package I was preparing to provide a Snort package with
in line support (needed a specific patch which was not included upstream).

I will drop all the .inline files as I will not work on that version in the
foreseeable future.  Just ignore them.

Regards

Javier
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#720061; Package snort. (Fri, 06 Sep 2013 04:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Fri, 06 Sep 2013 04:51:04 GMT) Full text and rfc822 format available.

Message #35 received at 720061@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 720061@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [LCFC] templates://snort/{snort.templates,snort-common.templates}
Date: Fri, 6 Sep 2013 06:48:30 +0200
[Message part 1 (text/plain, inline)]
This is the last call for comments for the review of debconf
templates for snort.

The reviewed templates will be sent on Saturday, September 07, 2013 to this bug report
and a mail will be sent to this list with "[BTS]" as a subject tag.


-- 


[snort.templates (text/plain, attachment)]
[snort-common.templates (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#720061; Package snort. (Mon, 09 Sep 2013 05:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Mon, 09 Sep 2013 05:27:04 GMT) Full text and rfc822 format available.

Message #40 received at 720061@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 720061@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [BTS#720061] templates://snort/{snort.templates,snort-common.templates} : Final update for English review
Date: Mon, 9 Sep 2013 07:22:56 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Monday, August 19, 2013, I notified you of the beginning of a review process
concerning debconf templates for snort.

The debian-l10n-english contributors have now reviewed these templates,
and the final proposed changes are attached to this update to the
original bug report.

Please review the suggested changes, and if you have any
objections, let me know in the next 3 days.

However, please try to avoid uploading snort with these changes
right now.

The second phase of this process will begin on Thursday, September 12, 2013, when I will
coordinate updates to translations of debconf templates.

The existing translators will be notified of the changes: they will
receive an updated PO file for their language.

Simultaneously, a general call for new translations will be sent to
the debian-i18n mailing list.

Both these calls for translations will request updates to be sent as
individual bug reports. That will probably trigger a lot of bug
reports against your package, but these should be easier to deal with.

The call for translation updates and new translations will run until
about Thursday, October 03, 2013. Please avoid uploading a package with fixed or changed
debconf templates and/or translation updates in the meantime. Of
course, other changes are safe.

Please note that this is an approximative delay, which depends on my
own availability to process this work and is influenced by the fact
that I simultaneously work on many packages.

Around Friday, October 04, 2013, I will contact you again and will send a final patch
summarizing all the updates (changes to debconf templates,
updates to debconf translations and new debconf translations).

Again, thanks for your attention and cooperation.


-- 


[snort.templates (text/plain, attachment)]
[snort-common.templates (text/plain, attachment)]
[control (text/plain, attachment)]
[patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#720061; Package snort. (Tue, 01 Oct 2013 05:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Tue, 01 Oct 2013 05:27:04 GMT) Full text and rfc822 format available.

Message #45 received at 720061@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 720061@bugs.debian.org
Subject: snort: General update after the debconf review process
Date: Tue, 1 Oct 2013 07:23:05 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Monday, August 19, 2013, I sent you a notification about the beginning of a review
action on debconf templates for snort.

Then, I sent you a bug report with rewritten templates and announcing
the beginning of the second phase of this action: call for translation
updates.

Translators have been working hard and here is now the result of their efforts.

Please consider using it EVEN if you committed files to your
development tree as long as they were reported.

The attached tarball contains:

- debian/changelog with the list of changes
- debian/control with rewrites of packages' descriptions
- debian/<templates> with all the rewritten templates file(s)
- debian/po/*.po with all PO files (existing ones and new ones)

As said, please use *at least* the PO files as provided here,
preferrably over those sent by translators in their bug reports. All
of them have been checked and reformatted. In some cases, formatting
errors have been corrected.

The patch.rfr file contains a patch for the templates and control
file(s) alone.

Please note that this patch applies to the templates and control
file(s) of your package as of Monday, August 19, 2013. If your package was updated
in the meantime, I may have updated my reference copy....but I also
may have missed that. This is indeed why I suggested you do not
modified such files while the review process was running,
remember..:-)

It is now safe to upload a new package version with these changes.

Please notify me of your intents with regards to this. 

There is of course no hurry to update your package but feel free to
contact me in case you would need sponsoring or any other action to
fix this.



-- 


[patch.tar.gz (application/octet-stream, attachment)]
[patch.rfr (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Javier Fernández-Sanguino Peña <jfs@debian.org>:
You have taken responsibility. (Mon, 07 Oct 2013 17:21:27 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Mon, 07 Oct 2013 17:21:27 GMT) Full text and rfc822 format available.

Message #50 received at 720061-close@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@debian.org>
To: 720061-close@bugs.debian.org
Subject: Bug#720061: fixed in snort 2.9.5.3-2
Date: Mon, 07 Oct 2013 17:20:11 +0000
Source: snort
Source-Version: 2.9.5.3-2

We believe that the bug you reported is fixed in the latest version of
snort, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720061@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Javier Fernández-Sanguino Peña <jfs@debian.org> (supplier of updated snort package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 24 Sep 2013 03:39:00 +0200
Source: snort
Binary: snort snort-common snort-doc snort-rules-default snort-common-libraries
Architecture: source i386 all
Version: 2.9.5.3-2
Distribution: unstable
Urgency: low
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Changed-By: Javier Fernández-Sanguino Peña <jfs@debian.org>
Description: 
 snort      - flexible Network Intrusion Detection System
 snort-common - flexible Network Intrusion Detection System - common files
 snort-common-libraries - flexible Network Intrusion Detection System - libraries
 snort-doc  - flexible Network Intrusion Detection System - documentation
 snort-rules-default - flexible Network Intrusion Detection System - ruleset
Closes: 720061 722987 723769 723779 723818 724289 724300 724706 724707 724932 725104
Changes: 
 snort (2.9.5.3-2) unstable; urgency=low
 .
   * Debconf templates and debian/control reviewed by the debian-l10n-english
     team as part of the Smith review project. (Closes: 720061)
   * Debconf updated Translations:
     - Update Spanish translation, contributed by Javier Fernandez-Sanguino
     - Updated Russian translation, contributed by Yuri Kozlov (Closes: 722987)
     - Updated German translation, contributed by Chris Leick (Closes: 723769)
     - Updated Portuguese translation, contributed by Miguel Figueiredo
       (Closes: 723779)
     - Add Simplified Chinese debconf, contributed by Yi Mingjing
       (Closes: 723818)
     - Updated Czech translation, contributed by Michal Šimůnek
       (Closes: 724289)
     - Updated French translation, contributed by JP Guillonneau
       (Closes: 724300)
     - Updated Janapese translation (Closes: 724706)
     - Updated Italian translation provided by Daniele Forsi (Closes: 724707)
     - Updated Danish translation provided by  Joe Hansen (Closes: 724932)
     - Updated Swedish translation provided by Martin Bagge (Closes: 725104)
Checksums-Sha1: 
 82e749e295599dfca4e9a3683547c683f59801ea 1648 snort_2.9.5.3-2.dsc
 7975e67e29b1fd30a0411e73da4c9947791cbefa 1544942 snort_2.9.5.3-2.debian.tar.gz
 e10673ef8bf5990a381a412f8efc97fa28748acf 749144 snort_2.9.5.3-2_i386.deb
 3e7a30f5cbc9ba326b125c16b54782d3add56694 609004 snort-common-libraries_2.9.5.3-2_i386.deb
 b5713e9f4a6411a1715f9fa7f6333f80674588e2 224256 snort-common_2.9.5.3-2_all.deb
 ab8534da69604a2411ea0511c59fa3d14ae3bc93 2003098 snort-doc_2.9.5.3-2_all.deb
 6e7cd6f7162b6ae5d95fd0d6e790a165c3a4a5f1 324244 snort-rules-default_2.9.5.3-2_all.deb
Checksums-Sha256: 
 24a2aa650aaf869662a046776eed1aa95fc89556f2f02930e3755b2b9e98a6c0 1648 snort_2.9.5.3-2.dsc
 820dc4f6f999c3fb92dac87194305e78bbd32a6c922a7a58ab53a6884c80ed7b 1544942 snort_2.9.5.3-2.debian.tar.gz
 2343b4ce1f7bb0f55eab983513b41122b4c455c5de486589aac7601fba21f66e 749144 snort_2.9.5.3-2_i386.deb
 f37fb29a0edb92cdcc6b1f0ad7db602805d740ab22eca759cef51f5b23cd1cbd 609004 snort-common-libraries_2.9.5.3-2_i386.deb
 079fca2bfd4fbeb17bb7e7147dc6fb30efb1121120972559b839adaff875b27b 224256 snort-common_2.9.5.3-2_all.deb
 eaba7db995483c64430b8b6cd197e1f5cb1dc4468750edefed8cb4bba1ba1fb9 2003098 snort-doc_2.9.5.3-2_all.deb
 5a31ecd5d2f25dad01b1b1bffea223303bb03d1c58b1427c6a24bdeddfaa4e94 324244 snort-rules-default_2.9.5.3-2_all.deb
Files: 
 ff431581663e05a2f040a8993d41182a 1648 net optional snort_2.9.5.3-2.dsc
 6b3a9ad4069c2118a193240568dfc47b 1544942 net optional snort_2.9.5.3-2.debian.tar.gz
 ebbe090f050352945928f52c66a05efc 749144 net optional snort_2.9.5.3-2_i386.deb
 f2ab9884a04870358f9fda9cfe33bc3b 609004 net optional snort-common-libraries_2.9.5.3-2_i386.deb
 a08d9e1dc91962378fabdfda115e618e 224256 net optional snort-common_2.9.5.3-2_all.deb
 3bc7d9d08d57f1fa0d400fd69d03a2ed 2003098 doc optional snort-doc_2.9.5.3-2_all.deb
 732b2f47e3a5f685cfa25b347ba2ad95 324244 net optional snort-rules-default_2.9.5.3-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iD8DBQFSUurYsandgtyBSwkRAj02AJ4/lx1lF/g4/M2w/QdV0j3CkF7IdwCfcBuR
6OA+KMQMEgvhphs9FloP5Po=
=4/rJ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Nov 2013 07:34:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:21:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.